[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# ChompPathDelim

Removes trailing path delimeter

## Declaration

Source position: fileutil.pas line 87

`function ChompPathDelim(`
`const Path: String`
`):String;`

## Arguments

`Path` |  | Path name for checking

## Function result

Returns new path name with delimiter removed if it was there, otherwise returns original path name

## Description

ChompPathDelim checks if the last character in the path is the path delimeter. If it is the path delimeter, it is removed, otherwise the unmodified path is returned.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.